### Signal

# Clutter Actor::transition-stopped

#### Declaration

    void
    transition_stopped (
      ClutterActor* self,
      gchar* name,
      gboolean is_finished,
      gpointer user_data
    )

#### Description [src]

The signal is emitted once a transition is stopped; a transition is stopped once it reached its total duration (including eventual repeats), it has been stopped using `clutter_timeline_stop()`, or it has been removed from the transitions applied on `actor`, using `clutter_actor_remove_transition()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal emission will restart instead of recursing
The signal can be detailed
Hooks are disabled for this signal

#### Parameters

`name`

  Type: `gchar*`

  The name of the transition.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`is_finished`

  Type: `gboolean`

  Whether the transition was finished, or stopped.